Subject: Re: [PATCH] [v7] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Thu, 4 Aug 2016 13:18:55 -0500

Rob Herring wrote:
>> >+- phy-version : the version of the integrated emac phy, either 1 or 2.
> Sounds like 2 different h/w. The compatible property should distinguish
> this.

Well, the MAC parts of the EMAC is the same.  I could do 
qcom,fsm9900-emac for v1 and qcom,qdf2432-emac for v2.  I can't really 
think of a reason why that wouldn't work.

For ACPI, we can assume that QCOM8070 is a v2 PHY.  If Qualcomm creates 
another server chip with a v1 PHY, it would need a new ACPI HID.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.